Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_FactoryRegistry.cpp File Reference

`#include "PG_FactoryRegistry.h"`
`#include <ace/Get_Opt.h>`
`#include <ace/Vector_T.h>`
`#include <ace/OS_NS_stdio.h>`
`#include <tao/debug.h>`
`#include <tao/ORB_Constants.h>`
`#include <tao/PortableServer/ORB_Manager.h>`
`#include "PG_Operators.h"`

Include dependency graph for PG_FactoryRegistry.cpp:

## Defines
#define | METHOD_ENTRY(name)
#define | METHOD_RETURN(name)

## Define Documentation

#define METHOD_ENTRY | ( | name |  | ) |

| Value:
    if (TAO_debug_level <= 6){} else    \
        ACE_DEBUG (( LM_DEBUG,            \
        "Enter %s\n", #name               \
          ))

#define METHOD_RETURN | ( | name |  | ) |

| Value:
    if (TAO_debug_level <= 6){} else    \
        ACE_DEBUG (( LM_DEBUG,            \
          "Leave %s\n", #name             \
          ));                             \
      return